# vim:set ts=2 sw=2 sts=2 et:
from rzn.api import obj, Transform

def circlepart(lib, part, n, r):
  """ create n new parts in a circle of radius r """
  proj = ui.currentTab().project()
  t = Transform.ident()
  for i in range(n):
    # create parts, auto-naming them
    s, f = proj.part(None, t.point(r,0), lib, part)
    # order the symbols on a line
    s.pos = (units.inch(0.3*i), 0)
    f.angle = t.angle()+90
    t = t.rot(360/float(n))

