# vim:set ts=2 sw=2 sts=2 et:
from . import tool
from rzn import Razen

# selection/clipboard
Razen.register_tool(tool.ToolSelect)
Razen.register_tool(tool.ToolMove)
Razen.register_tool(tool.ToolCut)
Razen.register_tool(tool.ToolCopy)
Razen.register_tool(tool.ToolPaste)
Razen.register_tool(tool.ToolDup)

# misc
Razen.register_tool(tool.ToolCmd)
Razen.register_tool(tool.ToolFind)
Razen.register_tool(tool.ToolMeasure)

# editing
Razen.register_tool(tool.ToolWire)
Razen.register_tool(tool.ToolLine)
Razen.register_tool(tool.ToolArc)
Razen.register_tool(tool.ToolPart)
Razen.register_tool(tool.ToolDrill)
Razen.register_tool(tool.ToolPolygon)
Razen.register_tool(tool.ToolPad)
Razen.register_tool(tool.ToolPin)
Razen.register_tool(tool.ToolRoute)
Razen.register_tool(tool.ToolText)
Razen.register_tool(tool.ToolVia)

# debug
Razen.register_tool(tool.ToolRtree)
