# vim:set ts=2 sw=2 sts=2 et:
from .tool import Tool

class TextTool(Tool):

  def __init__(self, tools):
    Tool.__init__(self, tools)
    self.text = ""

  def exit(self):
    self.tools.close_prompt()
    Tool.exit(self)

  def finish(self):
    self.text = ""
    self.tools.switchtool("Select")

  def execute(self):
    raise Exception("unimplemented")
  
  def valid_for(self, view, part):
    return False
  
  def use_prompt(self):
    return True
