# vim:set ts=2 sw=2 sts=2 et:
from .conntool import ConnTool
from rzn.obj.objs import Pin

class ToolPin(ConnTool):
  name = "Pin"
  objtype = Pin
  
  def __init__(self, tools):
    ConnTool.__init__(self, tools)
    self.helptext = self.tr("Create a pin")

  def valid_for(self, view, part):
    return part and (view == "schematic")
