# vim:set ts=2 sw=2 sts=2 et:
from rzn.api import Layers

def showlayers(layers, vis=True):
  """ set the visibility of the list of layers to vis """
  v = ui.currentTab().currentView()
  for l in layers:
    v.setLayerVisible(l, vis)

_LAYERS = [Layers.CopperTop, Layers.NameTop, Layers.OutlineTop, Layers.StopTop]

def showbot(vis=True):
  """ set visibility of layout bottom layers """
  v = ui.currentTab().currentView()
  if v.name() == "layout":
    showlayers(map(Layers.mirror, _LAYERS), vis)

def showtop(vis=True):
  """ set visibility of layout top layers """
  v = ui.currentTab().currentView()
  if v.name() == "layout":
    showlayers(_LAYERS, vis)

