# vim:set ts=2 sw=2 sts=2 et:

def pinsfromfile(fn):
  """ rename pins on a part from a file with pin names """
  proj = ui.currentTab().project()
  names = open(fn).readlines()
  pin = 1
  for name in names:
    name = name.split()
    if len(name) and name[0] != "":
      newname = name[0].upper()
      proj.schematic.find(str(pin), False)[0].name = newname
      proj.mapPin(newname, str(pin))
      pin += 1

